[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#649830: Proposed patch



tags 649830 patch
thanks

Please find attached a patch that implements dropping defoma support
in your package. Please notice that I left the hints file in place as
there is apparently some magic done from it to provide "scale" files
in debian/rules.

-- 


diff -Nru tex-gyre-2.004.1.old/debian/control tex-gyre-2.004.1/debian/control
--- tex-gyre-2.004.1.old/debian/control	2011-12-01 07:36:16.338253239 +0100
+++ tex-gyre-2.004.1/debian/control	2011-12-01 07:36:44.950865271 +0100
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 5.0.35)
-Build-Depends-Indep: tex-common (>= 1.18), defoma (>= 0.7.0)
+Build-Depends-Indep: tex-common (>= 1.18)
 Standards-Version: 3.8.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/tex-gyre/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/tex-gyre/trunk/
@@ -13,7 +13,7 @@
 Package: tex-gyre
 Section: tex
 Architecture: all
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Description: scalable PostScript and OpenType fonts based on URW Fonts
  The TeX Gyre project, following the Latin Modern project, aims at providing
  a rich collection of diacritical characters in the attempt to cover as many
diff -Nru tex-gyre-2.004.1.old/debian/postinst tex-gyre-2.004.1/debian/postinst
--- tex-gyre-2.004.1.old/debian/postinst	1970-01-01 01:00:00.000000000 +0100
+++ tex-gyre-2.004.1/debian/postinst	2011-12-01 07:38:11.124708549 +0100
@@ -0,0 +1,7 @@
+#! /bin/sh
+
+set -e
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-gyre.hints 2.004.1-3 -- "$@"
+fi
diff -Nru tex-gyre-2.004.1.old/debian/postrm tex-gyre-2.004.1/debian/postrm
--- tex-gyre-2.004.1.old/debian/postrm	1970-01-01 01:00:00.000000000 +0100
+++ tex-gyre-2.004.1/debian/postrm	2011-12-01 07:38:25.117007850 +0100
@@ -0,0 +1,7 @@
+#! /bin/sh
+
+set -e
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-gyre.hints 2.004.1-3 -- "$@"
+fi
diff -Nru tex-gyre-2.004.1.old/debian/preinst tex-gyre-2.004.1/debian/preinst
--- tex-gyre-2.004.1.old/debian/preinst	1970-01-01 01:00:00.000000000 +0100
+++ tex-gyre-2.004.1/debian/preinst	2011-12-01 07:39:18.678153541 +0100
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+set -e
+
+if dpkg --compare-versions "$2" lt 2.004.1-3; then
+	if [ -x "which defoma-font 2>/dev/null" ]; then
+		defoma-font purge /etc/defoma/hints/ttf-gyre.hints
+	fi
+fi
+
+
+if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
+  dpkg-maintscript-helper rm_conffile /etc/defoma/hints/ttf-gyre.hints 2.004.1-3 -- "$@"
+fi
diff -Nru tex-gyre-2.004.1.old/debian/rules tex-gyre-2.004.1/debian/rules
--- tex-gyre-2.004.1.old/debian/rules	2011-12-01 07:36:16.338253239 +0100
+++ tex-gyre-2.004.1/debian/rules	2011-12-01 07:37:07.551348701 +0100
@@ -183,8 +183,6 @@
 	       usr/share/doc/texmf/fonts/tex-gyre/$(FAM)-hist.txt \
 	       usr/share/doc/tex-gyre/$(FAM)-hist.txt)
 
-	dh_installdefoma
-
 	dh_installdocs
 	dh_installchangelogs
 

Attachment: signature.asc
Description: Digital signature


Reply to: